
Foreman - Feature #820

Add Intel Solaris provisioning support

04/04/2011 03:09 AM - Paul Kelly

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: Host creation   

Target version: 0.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Related issues:

Related to Foreman - Bug #987: migration fails when using postgres after #820 Closed 06/15/2011

Related to Foreman - Bug #991: Missing changes in extras/jumpstart Closed 06/15/2011

Associated revisions

Revision a6db0470 - 06/15/2011 07:03 AM - Paul Kelly

Fixes #820 - Intel Solaris support

Signed-off-by: Paul Kelly <paul.ian.kelly@googlemail.com>

Revision 380998ab - 07/11/2011 06:40 AM - Paul Kelly

Fixes #991 - Missing jumpstart files. Refs #820

Signed-off-by: Paul Kelly <paul.ian.kelly@googlemail.com>

History

#1 - 04/27/2011 10:10 AM - Paul Kelly

- Status changed from New to Ready For Testing

- Branch set to feature/820-intel-solaris-support-incr

Ohad,

I have broken my Solaris support mega-patch down into 6 commits and pushed them to my github on feature/820-intel-solaris-support-incr

It was not practical to base each commit on develop so they are added incrementally

I have just rebased and tested

I guess that it needs a bit of polishing:-) Please give this a bit of priority as rebasing this sequence of commits is much more difficult than just rebasing

a single commit

#2 - 05/05/2011 10:31 AM - Paul Kelly

Changed "flash" to "image" where appropriate

Fixed some minor bugs

rebased and tested

#3 - 05/11/2011 09:29 AM - Paul Kelly

Added a whole lot more of Ohad's suggestions.

Rebased and tested

#4 - 05/18/2011 10:33 AM - Paul Kelly

Tidied up, rationalized and renamed some methods

Rebased and tested
#5 - 05/23/2011 10:13 AM - Paul Kelly

Rebased and tested

#6 - 06/08/2011 04:48 AM - Paul Kelly

Rebased and tested

#7 - 06/09/2011 06:40 AM - Paul Kelly

Rebased and tested

#8 - 06/10/2011 03:48 AM - Paul Kelly

Rebased and tested

Also removed and then rebuilt a brsuc026 as a host-rd-compute node from a flar file. Puppet failed to install ClearCase, but that is another story.

#9 - 06/12/2011 08:53 AM - Ohad Levy

merged it and ran the testing...:(

DEPRECATION WARNING: Rake tasks in vendor/plugins/jrails/tasks and vendor/plugins/scoped_search/tasks are depr

ecated. Use lib/tasks instead. (called from /home/olevy/git/foreman/vendor/rails/railties/lib/tasks/rails.rb:1

0)

/usr/bin/ruby -I"lib:test" "/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake/rake_test_loader.rb" "test/unit/he

lpers/auth_sources_helper_test.rb" "test/unit/helpers/hypervisors/guests_helper_test.rb" "test/unit/helpers/bo

okmarks_helper_test.rb" "test/unit/helpers/users_helper_test.rb" "test/unit/helpers/environments_helper_test.r

b" "test/unit/helpers/smart_proxies/puppetca_helper_test.rb" "test/unit/helpers/smart_proxies/autosign_helper_

test.rb" "test/unit/helpers/hosts_helper_test.rb" "test/unit/helpers/model_helper_test.rb" "test/unit/helpers/

architecture_helper_test.rb" "test/unit/helpers/audit_helper_test.rb" "test/unit/helpers/home_helper_test.rb" 

"test/unit/helpers/usergroups_helper_test.rb" "test/unit/helpers/operatingsystem_helper_test.rb" "test/unit/he

lpers/statistics_helper_test.rb" "test/unit/helpers/host_groups_helper_test.rb" "test/unit/helpers/puppetclass

es_helper_test.rb" "test/unit/helpers/reports_helper_test.rb" "test/unit/helpers/dashboard_helper_test.rb" "te

st/unit/helpers/lookup_keys_helper_test.rb" "test/unit/helpers/ptables_helper_test.rb" "test/unit/helpers/unat

tended_helper_test.rb" "test/unit/helpers/domain_helper_test.rb" "test/unit/helpers/medium_helper_test.rb" "te

st/unit/helpers/fact_values_helper_test.rb" "test/unit/helpers/parameters_helper_test.rb" "test/unit/bookmark_

test.rb" "test/unit/config_template_test.rb" "test/unit/domain_test.rb" "test/unit/usergroup_test.rb" "test/un

it/notice_test.rb" "test/unit/template_kind_test.rb" "test/unit/source_test.rb" "test/unit/subnet_test.rb" "te

st/unit/medium_test.rb" "test/unit/auth_source_test.rb" "test/unit/fact_value_test.rb" "test/unit/ptable_test.

rb" "test/unit/auth_source_ldap_test.rb" "test/unit/lookup_key_test.rb" "test/unit/group_parameter_test.rb" "t

est/unit/host_test.rb" "test/unit/host_parameter_test.rb" "test/unit/template_combination_test.rb" "test/unit/

domain_parameter_test.rb" "test/unit/smart_proxy_test.rb" "test/unit/message_test.rb" "test/unit/host_observer

_test.rb" "test/unit/architecture_test.rb" "test/unit/operatingsystem_test.rb" "test/unit/feature_test.rb" "te

st/unit/hypervisor_test.rb" "test/unit/orchestration/dns_test.rb" "test/unit/orchestration/tftp_test.rb" "test

/unit/orchestration/dhcp_test.rb" "test/unit/report_test.rb" "test/unit/common_parameter_test.rb" "test/unit/u

ser_test.rb" "test/unit/log_test.rb" "test/unit/host_mailer_test.rb" "test/unit/user_fact_test.rb" "test/unit/

hypervisor/guest_test.rb" "test/unit/role_test.rb" "test/unit/os_default_template_test.rb" "test/unit/model_te

st.rb" "test/unit/environment_test.rb" "test/unit/puppetclass_test.rb" "test/unit/hostgroup_test.rb" "test/uni

t/parameter_test.rb" 

DEPRECATION WARNING: Kernel#returning has been deprecated in favor of Object#tap. (called from build_table_ali

ases at /home/olevy/git/foreman/vendor/plugins/has_many_polymorphs/lib/has_many_polymorphs/class_methods.rb:35

8)

DEPRECATION WARNING: Kernel#returning has been deprecated in favor of Object#tap. (called from create_has_many

_polymorphs_reflection at /home/olevy/git/foreman/vendor/plugins/has_many_polymorphs/lib/has_many_polymorphs/c

lass_methods.rb:343)

/home/olevy/git/foreman/vendor/plugins/acts_as_audited/lib/acts_as_audited.rb:34: warning: already initialized

 constant CALLBACKS

Loaded suite /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake/rake_test_loader

Started

...F........................................................F.F..............Failed to initialize the DHCP pro

xy: Permission denied - /var/lib/puppet/ssl/private_keys/super.tlv.redhat.com.pem

F......................................................F....EEE.EEEEEEEEE..F....E.....FFF..............EEEEEEE

.EE.E.................F.................F.....................................................................

.....F.........................F.F..........

Finished in 11.392419 seconds.

  1) Failure:

test_should_not_destroy_while_using(ArchitectureTest) [/test/unit/architecture_test.rb:47]:

<false> is not true.

  2) Failure:

test_host_should_have_dhcp(DhcpOrchestrationTest) [/test/unit/orchestration/dhcp_test.rb:7]:

<false> is not true.

  3) Failure:

test_host_should_have_dns(DnsOrchestrationTest) [/test/unit/orchestration/dns_test.rb:7]:
<false> is not true.

  4) Failure:

test_should_not_destroy_if_it_contains_hosts(DomainTest) [/test/unit/domain_test.rb:36]:

<false> is not true.

  5) Failure:

test_a_fqdn_Host_should_be_assigned_to_a_domain_if_such_domain_exists(HostTest) [/test/unit/host_test.rb:285]:

<false> is not true.

  6) Error:

test_any_host_can_be_created_when_permitted(HostTest):

ActiveRecord::RecordInvalid: Validation failed: Failed to initialize the DHCP proxy: Permission denied - /var/

lib/puppet/ssl/private_keys/super.tlv.redhat.com.pem

    /test/unit/host_test.rb:142:in `setup_user_and_host'

    /test/unit/host_test.rb:198:in `test_any_host_can_be_created_when_permitted'

  7) Error:

test_any_host_can_be_destroyed_when_permitted(HostTest):

ActiveRecord::RecordInvalid: Validation failed: Failed to initialize the DHCP proxy: Permission denied - /var/

lib/puppet/ssl/private_keys/super.tlv.redhat.com.pem

    /test/unit/host_test.rb:142:in `setup_user_and_host'

    /test/unit/host_test.rb:250:in `test_any_host_can_be_destroyed_when_permitted'

  8) Error:

test_any_host_can_be_edited_when_permitted(HostTest):

ActiveRecord::RecordInvalid: Validation failed: Failed to initialize the DHCP proxy: Permission denied - /var/

lib/puppet/ssl/private_keys/super.tlv.redhat.com.pem

    /test/unit/host_test.rb:142:in `setup_user_and_host'

    /test/unit/host_test.rb:156:in `test_any_host_can_be_edited_when_permitted'

  9) Error:

test_host_cannot_be_created_without_permission(HostTest):

ActiveRecord::RecordInvalid: Validation failed: Failed to initialize the DHCP proxy: Permission denied - /var/

lib/puppet/ssl/private_keys/super.tlv.redhat.com.pem

    /test/unit/host_test.rb:142:in `setup_user_and_host'

    /test/unit/host_test.rb:185:in `test_host_cannot_be_created_without_permission'

 10) Error:

test_host_cannot_be_destroyed_without_permission(HostTest):

ActiveRecord::RecordInvalid: Validation failed: Failed to initialize the DHCP proxy: Permission denied - /var/

lib/puppet/ssl/private_keys/super.tlv.redhat.com.pem

    /test/unit/host_test.rb:142:in `setup_user_and_host'

    /test/unit/host_test.rb:241:in `test_host_cannot_be_destroyed_without_permission'

 11) Error:

test_host_cannot_be_edited_without_permission(HostTest):

ActiveRecord::RecordInvalid: Validation failed: Failed to initialize the DHCP proxy: Permission denied - /var/

lib/puppet/ssl/private_keys/super.tlv.redhat.com.pem

    /test/unit/host_test.rb:142:in `setup_user_and_host'

    /test/unit/host_test.rb:147:in `test_host_cannot_be_edited_without_permission'

 12) Error:

test_hosts_can_be_created_when_hostgroups_permit(HostTest):

ActiveRecord::RecordInvalid: Validation failed: Failed to initialize the DHCP proxy: Permission denied - /var/

lib/puppet/ssl/private_keys/super.tlv.redhat.com.pem

    /test/unit/host_test.rb:142:in `setup_user_and_host'

    /test/unit/host_test.rb:211:in `test_hosts_can_be_created_when_hostgroups_permit'

 13) Error:

test_hosts_can_be_destroyed_when_ownership_permits(HostTest):

ActiveRecord::RecordInvalid: Validation failed: Failed to initialize the DHCP proxy: Permission denied - /var/

lib/puppet/ssl/private_keys/super.tlv.redhat.com.pem

    /test/unit/host_test.rb:142:in `setup_user_and_host'

    /test/unit/host_test.rb:259:in `test_hosts_can_be_destroyed_when_ownership_permits'

 14) Error:

test_hosts_can_be_edited_when_domains_permit(HostTest):

ActiveRecord::RecordInvalid: Validation failed: Failed to initialize the DHCP proxy: Permission denied - /var/

lib/puppet/ssl/private_keys/super.tlv.redhat.com.pem

    /test/unit/host_test.rb:142:in `setup_user_and_host'

    /test/unit/host_test.rb:165:in `test_hosts_can_be_edited_when_domains_permit'

 15) Error:

test_hosts_cannot_be_created_when_hostgroups_deny(HostTest):
ActiveRecord::RecordInvalid: Validation failed: Failed to initialize the DHCP proxy: Permission denied - /var/

lib/puppet/ssl/private_keys/super.tlv.redhat.com.pem

    /test/unit/host_test.rb:142:in `setup_user_and_host'

    /test/unit/host_test.rb:226:in `test_hosts_cannot_be_created_when_hostgroups_deny'

 16) Error:

test_hosts_cannot_be_destroyed_when_ownership_denies(HostTest):

ActiveRecord::RecordInvalid: Validation failed: Failed to initialize the DHCP proxy: Permission denied - /var/

lib/puppet/ssl/private_keys/super.tlv.redhat.com.pem

    /test/unit/host_test.rb:142:in `setup_user_and_host'

    /test/unit/host_test.rb:269:in `test_hosts_cannot_be_destroyed_when_ownership_denies'

 17) Error:

test_hosts_cannot_be_edited_when_domains_deny(HostTest):

ActiveRecord::RecordInvalid: Validation failed: Failed to initialize the DHCP proxy: Permission denied - /var/

lib/puppet/ssl/private_keys/super.tlv.redhat.com.pem

    /test/unit/host_test.rb:142:in `setup_user_and_host'

    /test/unit/host_test.rb:175:in `test_hosts_cannot_be_edited_when_domains_deny'

 18) Failure:

test_should_be_able_to_save_host(HostTest) [/test/unit/host_test.rb:53]:

<false> is not true.

 19) Error:

test_should_import_from_external_nodes_output(HostTest):

ActiveRecord::RecordNotSaved: You cannot call create unless the parent is saved

    app/models/host.rb:419:in `importNode'

    app/models/host.rb:412:in `each_pair'

    app/models/host.rb:412:in `importNode'

    /test/unit/host_test.rb:117:in `test_should_import_from_external_nodes_output'

 20) Failure:

test_should_save_if_disk_is_defined(HostTest) [/test/unit/host_test.rb:94]:

<false> is not true.

 21) Failure:

test_should_save_if_neither_ptable_or_disk_are_defined_when_the_host_is_not_managed(HostTest) [/test/unit/host

_test.rb:80]:

<false> is not true.

 22) Failure:

test_should_save_if_ptable_is_defined(HostTest) [/test/unit/host_test.rb:87]:

<false> is not true.

 23) Error:

test_name_can't_be_blank(MediumTest):

NoMethodError: undefined method `config_path' for #<Medium:0x7f4eabed3388>

    /test/unit/medium_test.rb:11:in `test_name_can't_be_blank'

 24) Error:

test_name_can't_contain_white_spaces(MediumTest):

NoMethodError: undefined method `config_path' for #<Medium:0x7f4eabeaf6b8>

    /test/unit/medium_test.rb:17:in `test_name_can't_contain_white_spaces'

 25) Error:

test_name_must_be_unique(MediumTest):

NoMethodError: undefined method `config_path' for #<Medium:0x7f4eabe99a20>

    /test/unit/medium_test.rb:25:in `test_name_must_be_unique'

 26) Error:

test_path_can't_be_blank(MediumTest):

NoMethodError: undefined method `config_path' for #<Medium:0x7f4eabe859a8>

    /test/unit/medium_test.rb:34:in `test_path_can't_be_blank'

 27) Error:

test_path_must_be_unique(MediumTest):

NoMethodError: undefined method `config_path' for #<Medium:0x7f4eabe6cae8>

    /test/unit/medium_test.rb:39:in `test_path_must_be_unique'

 28) Error:

test_should_not_destroy_while_using(MediumTest):

NoMethodError: undefined method `config_path' for #<Medium:0x7f4eabe57e40>

    /test/unit/medium_test.rb:47:in `test_should_not_destroy_while_using'

 29) Error:
test_user_with_create_permissions_should_be_able_to_create(MediumTest):

NoMethodError: undefined method `config_path' for #<Medium:0x7f4eabe05fc8>

    /test/unit/medium_test.rb:71:in `test_user_with_create_permissions_should_be_able_to_create'

 30) Error:

test_user_with_destroy_permissions_should_not_be_able_to_edit(MediumTest):

NoMethodError: undefined method `config_path' for #<Medium:0x7f4eac473748>

    /test/unit/medium_test.rb:114:in `test_user_with_destroy_permissions_should_not_be_able_to_edit'

 31) Error:

test_user_with_edit_permissions_should_be_able_to_edit(MediumTest):

NoMethodError: undefined method `config_path' for #<Medium:0x7f4eac22afb8>

    /test/unit/medium_test.rb:104:in `test_user_with_edit_permissions_should_be_able_to_edit'

 32) Error:

test_user_with_view_permissions_should_not_be_able_to_create(MediumTest):

NoMethodError: undefined method `config_path' for #<Medium:0x7f4eac059450>

    /test/unit/medium_test.rb:78:in `test_user_with_view_permissions_should_not_be_able_to_create'

 33) Failure:

test_should_not_destroy_while_using(OperatingsystemTest) [/test/unit/operatingsystem_test.rb:64]:

<false> is not true.

 34) Failure:

test_should_not_destroy_while_using(PtableTest) [/test/unit/ptable_test.rb:63]:

<false> is not true.

 35) Failure:

test_host_should_have_tftp(TFTPOrchestrationTest) [/test/unit/orchestration/tftp_test.rb:7]:

<false> is not true.

 36) Failure:

test_cannot_be_destroyed_when_in_use_by_a_host(UsergroupTest) [/test/unit/usergroup_test.rb:84]:

<false> is not true.

 37) Failure:

test_hosts_should_be_retrieved_from_recursive/complex_usergroup_definitions(UsergroupTest) [/test/unit/usergro

up_test.rb:61]:

<false> is not true.

341 tests, 517 assertions, 14 failures, 23 errors

/usr/bin/ruby -I"lib:test" "/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake/rake_test_loader.rb" "test/functio

nal/notices_controller_test.rb" "test/functional/hypervisors/guests_controller_test.rb" "test/functional/puppe

tclasses_controller_test.rb" "test/functional/home_controller_test.rb" "test/functional/hypervisors_controller

_test.rb" "test/functional/smart_proxies_controller_test.rb" "test/functional/lookup_keys_controller_test.rb" 

"test/functional/bookmarks_controller_test.rb" "test/functional/usergroups_controller_test.rb" "test/functiona

l/auth_source_ldaps_controller_test.rb" "test/functional/dashboard_controller_test.rb" "test/functional/ptable

s_controller_test.rb" "test/functional/smart_proxies/autosign_controller_test.rb" "test/functional/smart_proxi

es/puppetca_controller_test.rb" "test/functional/operatingsystems_controller_test.rb" "test/functional/common_

parameters_controller_test.rb" "test/functional/architectures_controller_test.rb" "test/functional/roles_contr

oller_test.rb" "test/functional/subnets_controller_test.rb" "test/functional/domains_controller_test.rb" "test

/functional/fact_values_controller_test.rb" "test/functional/media_controller_test.rb" "test/functional/config

_templates_controller_test.rb" "test/functional/models_controller_test.rb" "test/functional/users_controller_t

est.rb" "test/functional/audits_controller_test.rb" "test/functional/hosts_controller_test.rb" "test/functiona

l/hostgroups_controller_test.rb" "test/functional/statistics_controller_test.rb" "test/functional/environments

_controller_test.rb" "test/functional/reports_controller_test.rb" "test/functional/unattended_controller_test.

rb" 

DEPRECATION WARNING: Kernel#returning has been deprecated in favor of Object#tap. (called from build_table_ali

ases at /home/olevy/git/foreman/vendor/plugins/has_many_polymorphs/lib/has_many_polymorphs/class_methods.rb:35

8)

DEPRECATION WARNING: Kernel#returning has been deprecated in favor of Object#tap. (called from create_has_many

_polymorphs_reflection at /home/olevy/git/foreman/vendor/plugins/has_many_polymorphs/lib/has_many_polymorphs/c

lass_methods.rb:343)

/home/olevy/git/foreman/vendor/plugins/acts_as_audited/lib/acts_as_audited.rb:34: warning: already initialized

 constant CALLBACKS

Loaded suite /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake/rake_test_loader

Started

........................................................................................................FF....

FFFFF...F......EF.FF...EEEEEEEEEEEE.......................E....E..EE..........................................

.......................................................................F......F............................

Finished in 20.806109 seconds.

  1) Failure:

test_externalNodes_should_render_correctly_when_format_text/html_is_given(HostsControllerTest) [/test/function

al/hosts_controller_test.rb:151]:
Expected response to be a <:success>, but was <404>

  2) Failure:

test_externalNodes_should_render_yml_request_correctly(HostsControllerTest) [/test/functional/hosts_controller

_test.rb:157]:

Expected response to be a <:success>, but was <404>

  3) Failure:

test_set_manage(HostsControllerTest) [/test/functional/hosts_controller_test.rb:460]:

<false> is not true.

  4) Failure:

test_should_create_new_host(HostsControllerTest)

    [app/helpers/application_helper.rb:160:in `each_with_index'

     /test/functional/hosts_controller_test.rb:49:in `test_should_create_new_host']:

"Host.count" didn't change by 1.

<9> expected but was

<8>.

  5) Failure:

test_should_create_new_host_via_json(HostsControllerTest) [/test/functional/hosts_controller_test.rb:67]:

"Host.count" didn't change by 1.

<9> expected but was

<8>.

  6) Failure:

test_should_destroy_host(HostsControllerTest)

    [app/helpers/application_helper.rb:160:in `each_with_index'

     /test/functional/hosts_controller_test.rb:127:in `test_should_destroy_host']:

"Host.count" didn't change by -1.

<7> expected but was

<8>.

  7) Failure:

test_should_destroy_host_via_json(HostsControllerTest) [/test/functional/hosts_controller_test.rb:134]:

"Host.count" didn't change by -1.

<7> expected but was

<8>.

  8) Failure:

test_should_get_edit(HostsControllerTest) [/test/functional/hosts_controller_test.rb:89]:

Expected response to be a <:success>, but was <404>

  9) Error:

test_should_update_host(HostsControllerTest):

ActiveRecord::RecordNotFound: Couldn't find Host with ID=myfullhost.mydomain.net

    /test/functional/hosts_controller_test.rb:95:in `test_should_update_host'

 10) Failure:

test_should_update_host_when_using_textual_puppetmaster(HostsControllerTest) [/test/functional/hosts_controlle

r_test.rb:101]:

<false> is not true.

 11) Failure:

test_submit_multiple_build(HostsControllerTest) [/test/functional/hosts_controller_test.rb:452]:

<false> is not true.

 12) Failure:

test_unset_manage(HostsControllerTest) [/test/functional/hosts_controller_test.rb:469]:

<false> is not true.

 13) Error:

test_user_with_edit_host_rights_and_domain_is_set_should_fail_to_view_host2(HostsControllerTest):

ActiveRecord::RecordInvalid: Validation failed: Failed to initialize the DHCP proxy: Permission denied - /var/

lib/puppet/ssl/private_keys/super.tlv.redhat.com.pem

    /test/functional/hosts_controller_test.rb:204:in `setup_user_and_host'

    /test/functional/../test_helper.rb:58:in `as_admin'

    /test/functional/hosts_controller_test.rb:197:in `setup_user_and_host'

    /test/functional/hosts_controller_test.rb:227:in `test_user_with_edit_host_rights_and_domain_is_set_should

_fail_to_view_host2'

 14) Error:

test_user_with_edit_host_rights_and_domain_is_set_should_succeed_in_viewing_host1(HostsControllerTest):

ActiveRecord::RecordInvalid: Validation failed: Failed to initialize the DHCP proxy: Permission denied - /var/

lib/puppet/ssl/private_keys/super.tlv.redhat.com.pem
    /test/functional/hosts_controller_test.rb:204:in `setup_user_and_host'

    /test/functional/../test_helper.rb:58:in `as_admin'

    /test/functional/hosts_controller_test.rb:197:in `setup_user_and_host'

    /test/functional/hosts_controller_test.rb:215:in `test_user_with_edit_host_rights_and_domain_is_set_should

_succeed_in_viewing_host1'

 15) Error:

test_user_with_edit_host_rights_and_facts_are_set_should_fail_to_view_host2(HostsControllerTest):

ActiveRecord::RecordInvalid: Validation failed: Failed to initialize the DHCP proxy: Permission denied - /var/

lib/puppet/ssl/private_keys/super.tlv.redhat.com.pem

    /test/functional/hosts_controller_test.rb:204:in `setup_user_and_host'

    /test/functional/../test_helper.rb:58:in `as_admin'

    /test/functional/hosts_controller_test.rb:197:in `setup_user_and_host'

    /test/functional/hosts_controller_test.rb:310:in `test_user_with_edit_host_rights_and_facts_are_set_should

_fail_to_view_host2'

 16) Error:

test_user_with_edit_host_rights_and_facts_are_set_should_succeed_in_viewing_host1(HostsControllerTest):

ActiveRecord::RecordInvalid: Validation failed: Failed to initialize the DHCP proxy: Permission denied - /var/

lib/puppet/ssl/private_keys/super.tlv.redhat.com.pem

    /test/functional/hosts_controller_test.rb:204:in `setup_user_and_host'

    /test/functional/../test_helper.rb:58:in `as_admin'

    /test/functional/hosts_controller_test.rb:197:in `setup_user_and_host'

    /test/functional/hosts_controller_test.rb:297:in `test_user_with_edit_host_rights_and_facts_are_set_should

_succeed_in_viewing_host1'

 17) Error:

test_user_with_edit_host_rights_and_hostgroup_is_set_should_fail_to_view_host2(HostsControllerTest):

ActiveRecord::RecordInvalid: Validation failed: Failed to initialize the DHCP proxy: Permission denied - /var/

lib/puppet/ssl/private_keys/super.tlv.redhat.com.pem

    /test/functional/hosts_controller_test.rb:204:in `setup_user_and_host'

    /test/functional/../test_helper.rb:58:in `as_admin'

    /test/functional/hosts_controller_test.rb:197:in `setup_user_and_host'

    /test/functional/hosts_controller_test.rb:283:in `test_user_with_edit_host_rights_and_hostgroup_is_set_sho

uld_fail_to_view_host2'

 18) Error:

test_user_with_edit_host_rights_and_hostgroup_is_set_should_succeed_in_viewing_host1(HostsControllerTest):

ActiveRecord::RecordInvalid: Validation failed: Failed to initialize the DHCP proxy: Permission denied - /var/

lib/puppet/ssl/private_keys/super.tlv.redhat.com.pem

    /test/functional/hosts_controller_test.rb:204:in `setup_user_and_host'

    /test/functional/../test_helper.rb:58:in `as_admin'

    /test/functional/hosts_controller_test.rb:197:in `setup_user_and_host'

    /test/functional/hosts_controller_test.rb:269:in `test_user_with_edit_host_rights_and_hostgroup_is_set_sho

uld_succeed_in_viewing_host1'

 19) Error:

test_user_with_edit_host_rights_and_ownership_is_set_should_fail_to_view_host2(HostsControllerTest):

ActiveRecord::RecordInvalid: Validation failed: Failed to initialize the DHCP proxy: Permission denied - /var/

lib/puppet/ssl/private_keys/super.tlv.redhat.com.pem

    /test/functional/hosts_controller_test.rb:204:in `setup_user_and_host'

    /test/functional/../test_helper.rb:58:in `as_admin'

    /test/functional/hosts_controller_test.rb:197:in `setup_user_and_host'

    /test/functional/hosts_controller_test.rb:254:in `test_user_with_edit_host_rights_and_ownership_is_set_sho

uld_fail_to_view_host2'

 20) Error:

test_user_with_edit_host_rights_and_ownership_is_set_should_succeed_in_viewing_host1(HostsControllerTest):

ActiveRecord::RecordInvalid: Validation failed: Failed to initialize the DHCP proxy: Permission denied - /var/

lib/puppet/ssl/private_keys/super.tlv.redhat.com.pem

    /test/functional/hosts_controller_test.rb:204:in `setup_user_and_host'

    /test/functional/../test_helper.rb:58:in `as_admin'

    /test/functional/hosts_controller_test.rb:197:in `setup_user_and_host'

    /test/functional/hosts_controller_test.rb:239:in `test_user_with_edit_host_rights_and_ownership_is_set_sho

uld_succeed_in_viewing_host1'

 21) Error:

test_user_with_edit_host_rights_with_update_environments_should_change_environments(HostsControllerTest):

ActiveRecord::RecordInvalid: Validation failed: Failed to initialize the DHCP proxy: Permission denied - /var/

lib/puppet/ssl/private_keys/super.tlv.redhat.com.pem

    /test/functional/hosts_controller_test.rb:204:in `setup_user_and_host'

    /test/functional/../test_helper.rb:58:in `as_admin'

    /test/functional/hosts_controller_test.rb:197:in `setup_user_and_host'

    /test/functional/hosts_controller_test.rb:383:in `setup_multiple_environments'

    /test/functional/hosts_controller_test.rb:391:in `test_user_with_edit_host_rights_with_update_environments
_should_change_environments'

 22) Error:

test_user_with_edit_host_rights_with_update_parameters_should_change_parameters(HostsControllerTest):

ActiveRecord::RecordInvalid: Validation failed: Failed to initialize the DHCP proxy: Permission denied - /var/

lib/puppet/ssl/private_keys/super.tlv.redhat.com.pem

    /test/functional/hosts_controller_test.rb:204:in `setup_user_and_host'

    /test/functional/../test_helper.rb:58:in `as_admin'

    /test/functional/hosts_controller_test.rb:197:in `setup_user_and_host'

    /test/functional/hosts_controller_test.rb:383:in `setup_multiple_environments'

    /test/functional/hosts_controller_test.rb:402:in `test_user_with_edit_host_rights_with_update_parameters_s

hould_change_parameters'

 23) Error:

test_user_with_view_host_rights_should_fail_to_edit_host(HostsControllerTest):

ActiveRecord::RecordInvalid: Validation failed: Failed to initialize the DHCP proxy: Permission denied - /var/

lib/puppet/ssl/private_keys/super.tlv.redhat.com.pem

    /test/functional/hosts_controller_test.rb:204:in `setup_user_and_host'

    /test/functional/../test_helper.rb:58:in `as_admin'

    /test/functional/hosts_controller_test.rb:197:in `setup_user_and_host'

    /test/functional/hosts_controller_test.rb:323:in `test_user_with_view_host_rights_should_fail_to_edit_host

'

 24) Error:

test_user_with_view_host_rights_should_should_succeed_in_viewing_hosts(HostsControllerTest):

ActiveRecord::RecordInvalid: Validation failed: Failed to initialize the DHCP proxy: Permission denied - /var/

lib/puppet/ssl/private_keys/super.tlv.redhat.com.pem

    /test/functional/hosts_controller_test.rb:204:in `setup_user_and_host'

    /test/functional/../test_helper.rb:58:in `as_admin'

    /test/functional/hosts_controller_test.rb:197:in `setup_user_and_host'

    /test/functional/hosts_controller_test.rb:329:in `test_user_with_view_host_rights_should_should_succeed_in

_viewing_hosts'

 25) Error:

test_create_invalid(MediaControllerTest):

ActionView::TemplateError: undefined method `config_path' for #<Medium:0x7fb6c7334228>

    On line #23 of app/views/media/_form.html.erb

        20:     <%= f.label :media_path, "The NFS path to the media." %><br />

        21:     <%= f.text_field :media_path, :size => 64 %><br/>

        22:     <%= f.label :config_path, "The NFS path to the jumpstart control files." %><br />

        23:     <%= f.text_field :config_path, :size => 64 %><br/>

        24:     <%= f.label :image_path, "The NFS path to the image directory." %><br />

        25:     <%= f.text_field :image_path, :size => 64 %>

        26:   </p>

        app/views/media/_form.html.erb:23

        app/views/media/_form.html.erb:1

        app/views/media/new.html.erb:3

        app/controllers/application_controller.rb:238:in `process_error'

        app/controllers/application_controller.rb:235:in `process_error'

        app/controllers/media_controller.rb:29:in `create'

        /test/functional/media_controller_test.rb:23:in `test_create_invalid'

        /usr/lib/ruby/1.8/test/unit/testsuite.rb:34:in `run'

        /usr/lib/ruby/1.8/test/unit/testsuite.rb:33:in `each'

        /usr/lib/ruby/1.8/test/unit/testsuite.rb:33:in `run'

        /usr/lib/ruby/1.8/test/unit/testsuite.rb:34:in `run'

        /usr/lib/ruby/1.8/test/unit/testsuite.rb:33:in `each'

        /usr/lib/ruby/1.8/test/unit/testsuite.rb:33:in `run'

        /usr/lib/ruby/1.8/test/unit/ui/testrunnermediator.rb:46:in `run_suite'

        /usr/lib/ruby/1.8/test/unit/ui/console/testrunner.rb:67:in `start_mediator'

        /usr/lib/ruby/1.8/test/unit/ui/console/testrunner.rb:41:in `start'

        /usr/lib/ruby/1.8/test/unit/ui/testrunnerutilities.rb:29:in `run'

        /usr/lib/ruby/1.8/test/unit/autorunner.rb:216:in `run'

        /usr/lib/ruby/1.8/test/unit/autorunner.rb:12:in `run'

        /usr/lib/ruby/1.8/test/unit.rb:279

        rake (0.8.7) lib/rake/rake_test_loader.rb:4

 26) Error:

test_edit(MediaControllerTest):

ActionView::TemplateError: undefined method `config_path' for #<Medium:0x7fb6c6bec4c0>

    On line #23 of app/views/media/_form.html.erb

        20:     <%= f.label :media_path, "The NFS path to the media." %><br />

        21:     <%= f.text_field :media_path, :size => 64 %><br/>
        22:     <%= f.label :config_path, "The NFS path to the jumpstart control files." %><br />

        23:     <%= f.text_field :config_path, :size => 64 %><br/>

        24:     <%= f.label :image_path, "The NFS path to the image directory." %><br />

        25:     <%= f.text_field :image_path, :size => 64 %>

        26:   </p>

        app/views/media/_form.html.erb:23

        app/views/media/_form.html.erb:1

        app/views/media/edit.html.erb:3

        /test/functional/media_controller_test.rb:41:in `test_edit'

        /usr/lib/ruby/1.8/test/unit/testsuite.rb:34:in `run'

        /usr/lib/ruby/1.8/test/unit/testsuite.rb:33:in `each'

        /usr/lib/ruby/1.8/test/unit/testsuite.rb:33:in `run'

        /usr/lib/ruby/1.8/test/unit/testsuite.rb:34:in `run'

        /usr/lib/ruby/1.8/test/unit/testsuite.rb:33:in `each'

        /usr/lib/ruby/1.8/test/unit/testsuite.rb:33:in `run'

        /usr/lib/ruby/1.8/test/unit/ui/testrunnermediator.rb:46:in `run_suite'

        /usr/lib/ruby/1.8/test/unit/ui/console/testrunner.rb:67:in `start_mediator'

        /usr/lib/ruby/1.8/test/unit/ui/console/testrunner.rb:41:in `start'

        /usr/lib/ruby/1.8/test/unit/ui/testrunnerutilities.rb:29:in `run'

        /usr/lib/ruby/1.8/test/unit/autorunner.rb:216:in `run'

        /usr/lib/ruby/1.8/test/unit/autorunner.rb:12:in `run'

        /usr/lib/ruby/1.8/test/unit.rb:279

        rake (0.8.7) lib/rake/rake_test_loader.rb:4

 27) Error:

test_new(MediaControllerTest):

ActionView::TemplateError: undefined method `config_path' for #<Medium:0x7fb6c6a06e08>

    On line #23 of app/views/media/_form.html.erb

        20:     <%= f.label :media_path, "The NFS path to the media." %><br />

        21:     <%= f.text_field :media_path, :size => 64 %><br/>

        22:     <%= f.label :config_path, "The NFS path to the jumpstart control files." %><br />

        23:     <%= f.text_field :config_path, :size => 64 %><br/>

        24:     <%= f.label :image_path, "The NFS path to the image directory." %><br />

        25:     <%= f.text_field :image_path, :size => 64 %>

        26:   </p>

        app/views/media/_form.html.erb:23

        app/views/media/_form.html.erb:1

        app/views/media/new.html.erb:3

        /test/functional/media_controller_test.rb:17:in `test_new'

        /usr/lib/ruby/1.8/test/unit/testsuite.rb:34:in `run'

        /usr/lib/ruby/1.8/test/unit/testsuite.rb:33:in `each'

        /usr/lib/ruby/1.8/test/unit/testsuite.rb:33:in `run'

        /usr/lib/ruby/1.8/test/unit/testsuite.rb:34:in `run'

        /usr/lib/ruby/1.8/test/unit/testsuite.rb:33:in `each'

        /usr/lib/ruby/1.8/test/unit/testsuite.rb:33:in `run'

        /usr/lib/ruby/1.8/test/unit/ui/testrunnermediator.rb:46:in `run_suite'

        /usr/lib/ruby/1.8/test/unit/ui/console/testrunner.rb:67:in `start_mediator'

        /usr/lib/ruby/1.8/test/unit/ui/console/testrunner.rb:41:in `start'

        /usr/lib/ruby/1.8/test/unit/ui/testrunnerutilities.rb:29:in `run'

        /usr/lib/ruby/1.8/test/unit/autorunner.rb:216:in `run'

        /usr/lib/ruby/1.8/test/unit/autorunner.rb:12:in `run'

        /usr/lib/ruby/1.8/test/unit.rb:279

        rake (0.8.7) lib/rake/rake_test_loader.rb:4

 28) Error:

test_update_invalid(MediaControllerTest):

ActionView::TemplateError: undefined method `config_path' for #<Medium:0x7fb6c695beb8>

    On line #23 of app/views/media/_form.html.erb

        20:     <%= f.label :media_path, "The NFS path to the media." %><br />

        21:     <%= f.text_field :media_path, :size => 64 %><br/>

        22:     <%= f.label :config_path, "The NFS path to the jumpstart control files." %><br />

        23:     <%= f.text_field :config_path, :size => 64 %><br/>

        24:     <%= f.label :image_path, "The NFS path to the image directory." %><br />

        25:     <%= f.text_field :image_path, :size => 64 %>

        26:   </p>

        app/views/media/_form.html.erb:23

        app/views/media/_form.html.erb:1

        app/views/media/edit.html.erb:3

        app/controllers/application_controller.rb:238:in `process_error'

        app/controllers/application_controller.rb:235:in `process_error'
        app/controllers/media_controller.rb:40:in `update'

        /test/functional/media_controller_test.rb:47:in `test_update_invalid'

        /usr/lib/ruby/1.8/test/unit/testsuite.rb:34:in `run'

        /usr/lib/ruby/1.8/test/unit/testsuite.rb:33:in `each'

        /usr/lib/ruby/1.8/test/unit/testsuite.rb:33:in `run'

        /usr/lib/ruby/1.8/test/unit/testsuite.rb:34:in `run'

        /usr/lib/ruby/1.8/test/unit/testsuite.rb:33:in `each'

        /usr/lib/ruby/1.8/test/unit/testsuite.rb:33:in `run'

        /usr/lib/ruby/1.8/test/unit/ui/testrunnermediator.rb:46:in `run_suite'

        /usr/lib/ruby/1.8/test/unit/ui/console/testrunner.rb:67:in `start_mediator'

        /usr/lib/ruby/1.8/test/unit/ui/console/testrunner.rb:41:in `start'

        /usr/lib/ruby/1.8/test/unit/ui/testrunnerutilities.rb:29:in `run'

        /usr/lib/ruby/1.8/test/unit/autorunner.rb:216:in `run'

        /usr/lib/ruby/1.8/test/unit/autorunner.rb:12:in `run'

        /usr/lib/ruby/1.8/test/unit.rb:279

        rake (0.8.7) lib/rake/rake_test_loader.rb:4

 29) Failure:

test_should_accept_built_notifications(UnattendedControllerTest) [/test/functional/unattended_controller_test.

rb:54]:

Expected response to be a <:created>, but was <409>

 30) Failure:

test_should_not_provide_unattened_files_to_hosts_which_are_not_in_built_state(UnattendedControllerTest) [/test

/functional/unattended_controller_test.rb:62]:

Expected response to be a <:created>, but was <409>

327 tests, 487 assertions, 13 failures, 17 errors

/usr/bin/ruby -I"lib:test" "/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake/rake_test_loader.rb"  

Errors running test:units and test:functionals!

#10 - 06/15/2011 07:06 AM - Paul Kelly

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a6db047079231dc6c01160f5da22aca6df3d707c.

#11 - 06/15/2011 07:06 AM - Ohad Levy

- Target version set to 0.4
